LIBPFM(3)

NAME
libpfm_arm_neoverse_n3 - support for ARM Neoverse N2 core PMU

SYNOPSIS
#include <perfmon/pfmlib.h>

PMU name: arm_n3
PMU desc: ARM Neoverse N2

DESCRIPTION
The library supports the ARM Neoverse N2 core PMU.

This PMU supports 6 or 20 64-bit counters and privilege levels filtering. It can operate in both 32 and 64 bit modes.

MODIFIERS
The following modifiers are supported on ARM Neoverse N3:

u   Measure at the user level. This corresponds to PFM_PLM3. This is a boolean modifier.

k   Measure at the kernel level. This corresponds to PFM_PLM0. This is a boolean modifier.

hv  Measure at the hypervisor level. This corresponds to PFM_PLMH. This is a boolean modifier.

AUTHORS
Stephane Eranian <eranian@gmail.com>